From: George Cox
Subject: Align command in lisp
Date: 
Message-ID: <aan3go$un1$1@news6.svr.pol.co.uk>
trying to use the align command in lisp prog.
keep getting an error
prog. inserts jpg file
pick 2 points
use align command
ERROR

(defun C:VISY ()
  (command "osnap" "off")
  (setq MNN "175")
  (setq STRF (strcat "C:\\MAPS\\images\\X-" MNN "\\" MNN "X5092.jpg"))
  (setq XTL (list 40.0 70.0)) ;     SET BOTTOM/LEFT IMAGE
  (command "image" "" STRF XTL "2670" "0")
  (setq P1 (getpoint "Pick point at corner of image"))
  (setq P2 (getpoint "Pick point at corner of image"))
  (command "zoom" "e")
  (setq BL (list 30.0 50.0))  ;     SET BOTTOM/LEFT IMAGE
  (setq Z2 (list 3040.0 2700.0)) ;     SET BOTTOM/LEFT IMAGE
  (command align XTL "" P1 BL P2 Z2 "" "y" "")
  (command "zoom" "e")
  )

From: Harald Hanche-Olsen
Subject: Re: Align command in lisp
Date: 
Message-ID: <pco8z743vhy.fsf@thoth.math.ntnu.no>
+ "George Cox" <······@e-cox.fsnet.co.uk>:

| trying to use the align command in lisp prog.
| keep getting an error
| prog. inserts jpg file
| pick 2 points
| use align command
| ERROR
| 
| (defun C:VISY ()
|   (command "osnap" "off")

What lisp is this?  This doesn't look to me like a lisp problem, but
rather a problem with a specific lisp program, or some system that
uses lisp for an extension language.  Most likely your question is
much too specific for any help to be available in this group.
Probably you should look for a newsgroup or mailing list that deals
with this system, whatever it may be.

-- 
* Harald Hanche-Olsen     <URL:http://www.math.ntnu.no/~hanche/>
- Yes it works in practice - but does it work in theory?
From: Kalle Olavi Niemitalo
Subject: Re: Align command in lisp
Date: 
Message-ID: <877kmnq3r1.fsf@Astalo.y2000.kon.iki.fi>
Harald Hanche-Olsen <······@math.ntnu.no> writes:

> + "George Cox" <······@e-cox.fsnet.co.uk>:
> | (defun C:VISY ()
> |   (command "osnap" "off")
> 
> What lisp is this?

It looks like AutoLISP.  <news:comp.cad.autocad> might help.
From: P.C.
Subject: Re: Align command in lisp
Date: 
Message-ID: <3cd01e85$0$11938$edfadb0f@dspool01.news.tele.dk>
Hi.

"George Cox" <······@e-cox.fsnet.co.uk> skrev i en meddelelse
·················@news6.svr.pol.co.uk...
> trying to use the align command in lisp prog.
> keep getting an error
> prog. inserts jpg file
> pick 2 points
> use align command
> ERROR
>
> (defun C:VISY ()
>   (command "osnap" "off")
>   (setq MNN "175")
>   (setq STRF (strcat "C:\\MAPS\\images\\X-" MNN "\\" MNN "X5092.jpg"))
>   (setq XTL (list 40.0 70.0)) ;     SET BOTTOM/LEFT IMAGE
>   (command "image" "" STRF XTL "2670" "0")
>   (setq P1 (getpoint "Pick point at corner of image"))
>   (setq P2 (getpoint "Pick point at corner of image"))
>   (command "zoom" "e")
>   (setq BL (list 30.0 50.0))  ;     SET BOTTOM/LEFT IMAGE
>   (setq Z2 (list 3040.0 2700.0)) ;     SET BOTTOM/LEFT IMAGE
>   (command align XTL "" P1 BL P2 Z2 "" "y" "")
>   (command "zoom" "e")
>   )

Eh , ---- (command align XTL "" P1 BL P2 Z2 "" "y" "") , now your "XTL are a
list, and feeding a list to the command function, after feeding align instead of
"align" proberly is what's wrong.
P.C.